import 'package:dartz/dartz.dart';
import 'package:injectable/injectable.dart';
import '../../../../core/error/failures.dart';
import '../../../../core/usecases/usecase.dart';
import '../entities/compte_adherent_entity.dart';
import '../repositories/dashboard_repository.dart';

@injectable
class GetCompteAdherent implements UseCase<CompteAdherentEntity, NoParams> {
  final DashboardRepository repository;

  GetCompteAdherent(this.repository);

  @override
  Future<Either<Failure, CompteAdherentEntity>> call(NoParams params) async {
    return await repository.getCompteAdherent();
  }
}
